Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}
import requests url = "https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}") .asString();
require 'uri' require 'net/http' url = URI("https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
{ "object_id": "<string>", "digest": "<string>", "version_index": 123, "created_at": "2023-11-07T05:31:56Z", "name": "<string>", "dataset": "<string>", "scorers": [ "<string>" ], "trials": 123, "description": "<string>", "evaluation_name": "<string>", "evaluate_op": "<string>", "predict_and_score_op": "<string>", "summarize_op": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Get an evaluation object.
Successful Response
The evaluation ID
The digest of the evaluation
The version index of the evaluation
When the evaluation was created
The name of the evaluation
Dataset reference (weave:// URI)
List of scorer references (weave:// URIs)
Number of trials
A description of the evaluation
Name for the evaluation run
Evaluate op reference (weave:// URI)
Predict and score op reference (weave:// URI)
Summarize op reference (weave:// URI)
このページは役に立ちましたか?